Skip to content

Publish one message and its prepared or existing files in one transaction.

POST
/api/workspace/collaboration/send
curl --request POST \
--url https://example.com/api/workspace/collaboration/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Owner": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "CommentText": "example", "QuotedCommentId": "example", "PreparedFileReferenceIds": [ "example" ], "DeferredUploadSessionIds": [ "example" ], "ExistingFileReferenceIds": [ "example" ], "Mentions": [ { "UserId": "example", "StartIndex": 1, "Length": 1, "DisplayText": "example" } ], "MentionSurface": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "Relations": [ { "Target": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "RelationKind": 0, "Source": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "PolicyCode": "example", "CorrelationId": "example" } ], "Origin": { "Source": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "PolicyCode": "example", "CorrelationId": "example" } }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Atomically publishes one collaboration message and its prepared file placements.

object
OperationKey
string format: uuid
Owner

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CommentText
string
nullable
QuotedCommentId
string
nullable
PreparedFileReferenceIds
Array<string>
nullable
DeferredUploadSessionIds
Array<string>
nullable
ExistingFileReferenceIds
Array<string>
nullable
Mentions
Array<object>
nullable

Stable user mention embedded in comment text.

object
UserId

Mentioned user identifier.

string
nullable
StartIndex

Zero-based UTF-16 token start.

integer format: int32
Length

UTF-16 token length.

integer format: int32
DisplayText

Readable token stored in the comment text.

string
nullable
MentionSurface

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Relations
Array<object>
nullable

Request to relate content to a resource.

object
Target

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind

Relation kind between content and a resource.

integer format: int32
Allowed values: 0
Source

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
Origin

Technical origin metadata for content created through another resource context.

object
Source

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable

OK

Media typeapplication/json
object
Data
required
Any of:

Committed collaboration publication receipt.

object
OperationKey
required
string format: uuid
CommentId
string
nullable
FileReferenceIds
required
Array<string>
Replayed
required
boolean
Errors
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
required
boolean
Example
{
"Data": null,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Invalid request. Service validation returns this error envelope; a missing request/file can return no body.

Media typeapplication/json
object
Data
required
Any of:

Committed collaboration publication receipt.

object
OperationKey
required
string format: uuid
CommentId
string
nullable
FileReferenceIds
required
Array<string>
Replayed
required
boolean
Errors
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
required
boolean
Example
{
"Data": null,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden. An authenticated policy refusal can contain this error envelope; Forbid() returns no body.

Media typeapplication/json
object
Data
required
Any of:

Committed collaboration publication receipt.

object
OperationKey
required
string format: uuid
CommentId
string
nullable
FileReferenceIds
required
Array<string>
Replayed
required
boolean
Errors
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
required
boolean
Example
{
"Data": null,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Not Found

Media typeapplication/json
object
Data
required
Any of:

Committed collaboration publication receipt.

object
OperationKey
required
string format: uuid
CommentId
string
nullable
FileReferenceIds
required
Array<string>
Replayed
required
boolean
Errors
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
required
boolean
Example
{
"Data": null,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

The operation was refused; inspect Errors. Data may be null.

Media typeapplication/json
object
Data
required
Any of:

Committed collaboration publication receipt.

object
OperationKey
required
string format: uuid
CommentId
string
nullable
FileReferenceIds
required
Array<string>
Replayed
required
boolean
Errors
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
required
Array<object>
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
required
boolean
Example
{
"Data": null,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}